<template>
<view  :style="'padding-bottom:' + bottom ">
  	  <view class='zhanline'></view>
	  <!-- 第一页 -->
		<view v-show="type==1" >
			<uni-forms class='inform'  ref="firstform" :rules="firstrules" :modelValue="datainfo">
				<view class="info_tit">基本信息</view>
				<uni-forms-item name="sbdw" style='margin-bottom: 0;'>
				 <view class="flexc infolist">
				  	<view class="f16 fw c34 flex0 pr pl12"><text class="cir">*</text>上报单位</view>
				  	<input  placeholder="请输入上报单位" v-model="datainfo.sbdw"   class="f16  c34 flex1 txr"/>
				  </view>
				</uni-forms-item>
				<uni-forms-item name="tbrq" style='margin-bottom: 0;' >
				 <view class="flexc infolist">
				  	<view class="f16 fw c34 flex0 pr pl12"><text class="cir">*</text>填表日期</view>
					<view class="infolist_a">{{datainfo.tbrq}}</view>
				  	<!-- <picker mode="date" :value="datainfo.tbrq" :end="currentdate" class="infolist_a" @change='bindDateChange'>
						<view :class="datainfo.tbrq?'':'f16 co80'">{{datainfo.tbrq||"请选择填表日期"}}</view>
				  	</picker> -->
				  </view>
				</uni-forms-item>
				<uni-forms-item name="zszxfzr" style='margin-bottom: 0;'>
				 <view class="flexc infolist">
				  	<view class="f16 fw c34 flex0 pr pl12"><text class="cir">*</text>项目负责人</view>
				  	<input  placeholder="请输入项目负责人姓名" v-model="datainfo.zszxfzr"   class="f16  c34 flex1 txr"/>
				  </view>
				</uni-forms-item>
				<view class="info_tit">投资方信息</view>
				<uni-forms-item name="" style='margin-bottom: 0;'>
				 <view class="flexc infolist">
					 <view class="flexc infolist_add" @click="getAdd">
						 <image :src="addimg"></image>
						 <view>新增企业/自然人</view>
					 </view>
				  	<view class="f16 fw c34 flex0 pr pl12"><text class="cir">*</text>添加企业/自然人</view>
					<view class="flex1 txr ">
						<text class="uni-calendar__header-text" v-if="qiziflag"></text>
						<text class="f16 co80" v-else>请先选择添加企业/自然人</text>
						<!-- <image :src="delimg" class="delimg"></image> -->
					</view>
				  </view>
				</uni-forms-item>
				<!-- 企业自然人展示 -->
				<view class="qibox" v-if="qiziflag">
					<block v-if="qiaddlist.length">
						<view class="flexc infolist qi" v-for="(ite,idx) in qiaddlist" :key="'infb-'+idx" @click="getDetailQi(ite)">
						 	<view class="f15 fw c34 flex0 pr pl12 ">企业</view>
							<view class="flex1 txr flexc over ml8">
								<text class="flex1 f15 c34 over">{{ite.companyName}}/{{ite.companyAddress}}/{{ite.companyLegal}}/{{ite.companyCode}}/{{ite.phone}}</text>
								<view class="delimg flex0" @click.stop="getDelQi(ite.id,idx)">
									<image :src="delimg"></image>
								</view>
								
							</view>
						 </view>
					</block>
					 <block v-if="ziaddlist.length">
						 <view class="flexc infolist qi" v-for="(ite,idx) in ziaddlist" :key="'infa-'+idx" @click="getDetailZi(ite)">
						  	<view class="f15 fw c34 flex0 pr pl12 ">自然人</view>
						 	<view class="flex1 txr flexc over ml8">
						 		<text class="flex1 f15 c34 over">{{ite.name}}/{{ite.address}}/{{ite.phone}}</text>
						 		<view class="delimg flex0" @click.stop="getDelZi(ite.id,idx)">
						 			<image :src="delimg"></image>
						 		</view>
						 	</view>
						  </view>
					 </block>
					 
				</view>
				<uni-forms-item name="tzrxm" style='margin-bottom: 0;'>
				 <view class="flexc infolist">
				  	<view class="f16 fw c34 flex0 pr pl12"><text class="cir">*</text>投资人姓名</view>
				  	<input  placeholder="请输入投资人姓名" v-model="datainfo.tzrxm"  class="f16  c34 flex1 txr"/>
				  </view>
				</uni-forms-item>
				<uni-forms-item name="tzrzw" style='margin-bottom: 0;'>
				 <view class="flexc infolist">
				  	<view class="f16 fw c34 flex0 pr pl12">投资人职务</view>
				  	<input  placeholder="请输入投资人职务" v-model="datainfo.tzrzw"  class="f16  c34 flex1 txr"/>
				  </view>
				</uni-forms-item>
				<uni-forms-item name="tzrdh" style='margin-bottom: 0;'>
				 <view class="flexc infolist">
				  	<view class="f16 fw c34 flex0 pr pl12">联系方式</view>
				  	<input  placeholder="请输入联系方式" v-model="datainfo.tzrdh"  class="f16  c34 flex1 txr"/>
				  </view>
				</uni-forms-item>
				<uni-forms-item name="gtzzrsfzhm" style='margin-bottom: 0;'>
				 <view class="flexc infolist">
				  	<view class="f16 fw c34 flex0 pr pl12">身份证号</view>
				  	<input  placeholder="请输入个体投资人身份证号" v-model="datainfo.gtzzrsfzhm"  class="f16  c34 flex1 txr"/>
				  </view>
				</uni-forms-item>
				<!-- <uni-forms-item name="qytzrxyzdm" style='margin-bottom: 0;'>
				 <view class="flexc infolist">
				  	<view class="f16 fw c34 flex0 pr pl12">信用证代码</view>
				  	<input  placeholder="请输入企业投资人信用证代码" v-model="datainfo.qytzrxyzdm"   class="f16  c34 flex1 txr"/>
				  </view>
				</uni-forms-item> -->
				
			</uni-forms>
			<view class="infobtn flexcc cf f16 f500" @click="getNext(1)">下一步</view>
			<!-- 弹框 -->
			<view class="bgbox" @click="getClose" v-if="addflag"></view>
			<view class="fixedbox" v-if="addflag">
				<image :src="closeimg" class="choseimg" @click="getClose"></image>
				<view class="top">添加信息</view>
				<view  class="boxs">
					<view class="mb30">
						<view class="flexc">
							<view class="flexcc boxcen" :class="shenflag?'act':''" @click="shenflag=true">
								<image :src="gcheckimg" v-if="shenflag"></image>
								<image :src="checknimg" v-else></image>
								<view :class="shenflag?'co28':''">添加企业</view>
							</view>
							<view class="flexcc boxcen" :class="shenflag?'':'act'" @click="shenflag=false">
								<image :src="checknimg" v-if="shenflag"></image>
								<image :src="gcheckimg" v-else></image>
								<view :class="shenflag?'':'co28'">添加自然人</view>
							</view>
						</view>
					</view>
					<!-- 企业 -->
					<uni-forms ref="qiform" :rules="qirules" :modelValue="qiinfo" v-show='shenflag'>
						<uni-forms-item name="companyName" style='margin-bottom: 0;'>
						 <view class="flexc infolist pr">
						  	<view class="f16 fw c34 flex0 pr pl12"><text class="cir">*</text>企业名称</view>
						  	<input @input="getInput" @blur="getBlur"  placeholder="请输入企业名称" v-model="qiinfo.companyName"  class="f16  c34 flex1 txr"/>
						  </view>
						  <!-- 企业联想 -->
						  <view class="addrSearch_list" v-if="qilianflag">
						  	<view class="triangle"></view>
							<!-- 加载 -->
							<uni-load-more v-if="loading" :status="status" :content-text="contentText" />
							<!-- 有数据 -->
						  	<view class="addrSearch_item" v-if="qilist.length" v-for="(ite, idx) in qilist" :key="'indo-'+idx" @click="handleAddrClick(ite)">
						  		<view class="wrap_text" >{{ite.Name}}</view>
						  	</view>
						  </view>
						</uni-forms-item>
						<uni-forms-item name="companyAddress" style='margin-bottom: 0;'>	
						
						 <view class="flexc infolist">
						  	<view class="f16 fw c34 flex0 pr pl12"><text class="cir">*</text>企业所在地</view>
						  	<input  placeholder="请输入企业所在地" v-model="qiinfo.companyAddress"  class="f16  c34 flex1 txr"/>
						  </view>
						</uni-forms-item>
						<uni-forms-item name="companyLegal" style='margin-bottom: 0;'>
						 <view class="flexc infolist">
						  	<view class="f16 fw c34 flex0 pr pl12"><text class="cir">*</text>法人代表姓名</view>
						  	<input  placeholder="请输入法人代表姓名" v-model="qiinfo.companyLegal" class="f16  c34 flex1 txr"/>
						  </view>
						</uni-forms-item>
						<uni-forms-item name="companyCode" style='margin-bottom: 0;'>
						 <view class="flexc infolist">
						  	<view class="f16 fw c34 flex0 pr pl12"><text class="cir">*</text>统一社会信用代码</view>
						  	<input  placeholder="请输入统一社会信用代码" v-model="qiinfo.companyCode" class="f16  c34 flex1 txr"/>
						  </view>
						</uni-forms-item>
						<uni-forms-item name="phone" style='margin-bottom: 0;'>
						 <view class="flexc infolist">
						  	<view class="f16 fw c34 flex0 pr pl12"><text class="cir">*</text>联系方式</view>
						  	<input  placeholder="请输入联系方式" v-model="qiinfo.phone"  class="f16  c34 flex1 txr"/>
						  </view>
						</uni-forms-item>
						
					</uni-forms>
					<!-- 自然人 -->
					<uni-forms ref="ziform" :rules="zirules" :modelValue="ziinfo" v-show="!shenflag">
						<uni-forms-item name="idcode" style='margin-bottom: 0;'>
						 <view class="flexc infolist">
						  	<view class="f16 fw c34 flex0 pr pl12">身份证号码</view>
						  	<input  placeholder="请输入身份证号码" v-model="ziinfo.idcode"  class="f16  c34 flex1 txr"/>
						  </view>
						</uni-forms-item>
						<uni-forms-item name="name" style='margin-bottom: 0;'>
						 <view class="flexc infolist">
						  	<view class="f16 fw c34 flex0 pr pl12"><text class="cir">*</text>姓名</view>
						  	<input  placeholder="请输入姓名" v-model="ziinfo.name"  class="f16  c34 flex1 txr"/>
						  </view>
						</uni-forms-item>
						<uni-forms-item name="address" style='margin-bottom: 0;'>
						 <view class="flexc infolist">
						  	<view class="f16 fw c34 flex0 pr pl12"><text class="cir">*</text>自然人所在地</view>
						  	<input  placeholder="请输入自然人所在地" v-model="ziinfo.address"  class="f16  c34 flex1 txr"/>
						  </view>
						</uni-forms-item>
						<uni-forms-item name="phone" style='margin-bottom: 0;'>
						 <view class="flexc infolist">
						  	<view class="f16 fw c34 flex0 pr pl12"><text class="cir">*</text>联系方式</view>
						  	<input  placeholder="请输入联系方式" v-model="ziinfo.phone"  class="f16  c34 flex1 txr"/>
						  </view>
						</uni-forms-item>
						
					</uni-forms>
				</view>
				<view class="fixedbtn" @click="getqySubmit">确认</view>
			</view>
		</view>
		<!-- 第二页 -->
		<view v-show="type==2">
			<uni-forms class='inform'  ref="twoform" :rules="tworules" :modelValue="datainfo">
				<view class="info_tit">项目信息</view>
				<uni-forms-item name="xmbh" style='margin-bottom: 0;'>
				 <view class="flexc infolist">
				  	<view class="f16 fw c34 flex0 pr pl12">项目编号</view>
				  	<input  placeholder="请输入项目编号" disabled="true" v-model="datainfo.xmbh"   class="f16  c34 flex1 txr"/>
				  </view>
				</uni-forms-item>
				<uni-forms-item name="xmxsmc" style='margin-bottom: 0;'>
				 <view class="flexc infolist">
				  	<view class="f16 fw c34 flex0 pr pl12"><text class="cir">*</text>项目线索名称</view>
				  	<input  placeholder="请输入项目线索名称" v-model="datainfo.xmxsmc"    class="f16  c34 flex1 txr"/>
				  </view>
				</uni-forms-item>
				<uni-forms-item name="sfwlhxxxm" style='margin-bottom: 0;'>
				 <view class="flexc infolist">
				  	<view class="f16 fw c34 flex0 pr pl12"><text class="cir">*</text>是否为领航信息项目</view>
					<picker  range-key='label' :value="lhindex" :range="lhlist" class="infolist_a" @change='bindDateChangea'>
						<view :class="sfwlhxxxm?'':'f16 co80'">{{sfwlhxxxm||"请选择是否为领航信息"}}</view>
					</picker>
				  </view>
				</uni-forms-item>
				<uni-forms-item name="yzssName" style='margin-bottom: 0;'>
				 <view class="flexc infolist">
				  	<view class="f16 fw c34 flex0 pr pl12"><text class="cir">*</text>引资省市</view>
				  	<input  placeholder="请输入引资省市" v-model="datainfo.yzssName"  class="f16  c34 flex1 txr"/>
				  </view>
				</uni-forms-item>
				<uni-forms-item name="ntze" style='margin-bottom: 0;'>
				 <view class="flexc infolist">
				  	<view class="f16 fw c34 flex0 pr pl12"><text class="cir">*</text>拟投资额 (亿元)</view>
				  	<input  placeholder="请输入拟投资额" type="number" v-model="datainfo.ntze"  class="f16  c34 flex1 txr"/>
				  </view>
				</uni-forms-item>
				<uni-forms-item name="cylxName" style='margin-bottom: 0;'>
				 <view class="flexc infolist">
				  	<view class="f16 fw c34 flex0 pr pl12"><text class="cir">*</text>产业类型</view>
					<picker  range-key='dictLabel' :value="indusindex" :range="industrytype" class="infolist_a" @change='bindDateChangeb'>
						<view :class="datainfo.cylxName?'':'f16 co80'">{{datainfo.cylxName||"请选择产业类型"}}</view>
					</picker>
				  </view>
				</uni-forms-item>
				<uni-forms-item name="xmlb" style='margin-bottom: 0;'>
				 <view class="flexc infolist">
				  	<view class="f16 fw c34 flex0 pr pl12"><text class="cir">*</text>项目类别</view>
					<!-- 多选 -->
					<view :class="prolaber?'infolist_a':'flex1 txr f16 co80'" @click="getMoreFn(1)">{{prolaber||"请选择项目类别"}}</view>
				  </view>
				</uni-forms-item>
				<uni-forms-item name="nlhd" style='margin-bottom: 0;'>
				 <view class="flexc infolist">
				  	<view class="f16 fw c34 flex0 pr pl12"><text class="cir">*</text>拟落户地</view>
					<picker  range-key='dictLabel' :value="nlhdindex" :range="location" class="infolist_a" @change='bindDateChangec'>
						<view :class="datainfo.nlhd?'':'f16 co80'">{{datainfo.nlhd||"请选择拟落户地"}}</view>
					</picker>
				  </view>
				</uni-forms-item>
				<uni-forms-item name="qybj" style='margin-bottom: 0;'>
				 <view class="flexc infolist">
				  	<view class="f16 fw c34 flex0 pr pl12"><text class="cir">*</text>企业背景</view>
					<view :class="qybglaber?'infolist_a':'flex1 txr f16 co80'" @click="getMoreFn(2)">{{qybglaber||"请选择企业背景"}}</view>
				  </view>
				</uni-forms-item>
				<uni-forms-item name="xmjj" style='margin-bottom: 0;'>
				 <view class="flexc infolist" style="align-items: flex-start;">
				  	<view class="f16 fw c34 flex0 pr pl12"><text class="cir">*</text>项目简介</view>
					<uni-easyinput :inputBorder='false' type="textarea"  v-model="datainfo.xmjj"  placeholder="( 含投资额、固定资产投资额、投资强度、投资方式、预期效益、用地规模、各类建筑面积、入驻需求、需哪些要素部门予以保障)" placeholderStyle='text-align: right;font-size:32rpx;color:#808080'></uni-easyinput>
				  </view>
				</uni-forms-item>
				<uni-forms-item name="xmjzqk" style='margin-bottom: 0;'>
				 <view class="flexc infolist" style="align-items: flex-start;">
				  	<view class="f16 fw c34 flex0 pr pl12"><text class="cir">*</text>项目进展</view>
					<uni-easyinput :inputBorder='false' type="textarea"  v-model="datainfo.xmjzqk"  placeholder="请输入项目进展情况" placeholderStyle='text-align: right;font-size:32rpx;color:#808080'></uni-easyinput>
				  </view>
				</uni-forms-item>
				<uni-forms-item name="czwt" style='margin-bottom: 0;'>
				 <view class="flexc infolist" style="align-items: flex-start;">
				  	<view class="f16 fw c34 flex0 pr pl12">存在问题</view>
					<uni-easyinput :inputBorder='false' type="textarea"  v-model="datainfo.czwt"  placeholder="请输入存在问题" placeholderStyle='text-align: right;font-size:32rpx;color:#808080'></uni-easyinput>
				  </view>
				</uni-forms-item>
			</uni-forms>
			<view class="infobtn flexcc cf f16 f500" @click="getNext(2)">下一步</view>
			<!-- 弹框 -->
			<view class="bgbox" @click="getClose" v-if="moretype>0"></view>
			<!--  -->
			<view class="fixedbox"  v-if="moretype==1">
				<image :src="closeimg" class="choseimg" @click="getClose"></image>
				<view class="top">项目类别</view>
				<view class="boxs">
					<uni-data-checkbox :map="map" multiple @change="checkboxChangea" v-model="provalue" :localdata="projectlist" ></uni-data-checkbox>
				</view>
				<view class="fixedbtn" @click="proSure">确认</view>
			</view>
			<view class="fixedbox"  v-if="moretype==2">
				<image :src="closeimg" class="choseimg" @click="getClose"></image>
				<view class="top">企业背景</view>
				<view class="boxs">
					<uni-data-checkbox :map="map" multiple @change="checkboxChangeb" v-model="qybgvalue" :localdata="backgroundlist" ></uni-data-checkbox>
				</view>
				<view class="fixedbtn" @click="qySure">确认</view>
			</view>
			
		</view>	
		<!-- 第三页 -->
		<view v-show="type==3">
			<uni-forms class='inform'  ref="thirdform" :rules="thirdrules" :modelValue="datainfo">
				<view class="info_tit">首谈信息</view>
				<uni-forms-item name="name" style='margin-bottom: 0;'>
				 <view class="flexc infolist">
				  	<view class="f16 fw c34 flex0 pr pl12"><text class="cir">*</text>首谈人姓名</view>
				  	<input  placeholder="请输入首谈人姓名" v-model="datainfo.name"  class="f16  c34 flex1 txr"/>
				  </view>
				</uni-forms-item>
				<uni-forms-item name="zw" style='margin-bottom: 0;'>
				 <view class="flexc infolist">
				  	<view class="f16 fw c34 flex0 pr pl12"><text class="cir">*</text>首谈人职务</view>
				  	<input  placeholder="请输入首谈人职务" v-model="datainfo.zw"   class="f16  c34 flex1 txr"/>
				  </view>
				</uni-forms-item>
				<uni-forms-item name="phone" style='margin-bottom: 0;'>
				 <view class="flexc infolist">
				  	<view class="f16 fw c34 flex0 pr pl12"><text class="cir">*</text>首谈人联系方式</view>
				  	<input  placeholder="请输入首谈人联系方式" v-model="datainfo.phone"    class="f16  c34 flex1 txr"/>
				  </view>
				</uni-forms-item>
				<uni-forms-item name="strq" style='margin-bottom: 0;'>
				 <view class="flexc infolist">
				  	<view class="f16 fw c34 flex0 pr pl12"><text class="cir">*</text>首谈日期</view>
				  	<picker mode="date" :value="datainfo.strq" :end="currentdate" class="infolist_a" @change='bindDateChanged'>
						<view :class="datainfo.strq?'':'f16 co80'">{{datainfo.strq||"请选择首谈日期"}}</view>
				  	</picker>
				  </view>
				</uni-forms-item>
				
				<view class="border"></view>
				<!-- <uni-forms-item name="xmjz" style='margin-bottom: 0;'>
				 <view class="flexc infolist">
				  	<view class="f16 fw c34 flex0 pr pl12">当前进展</view>
					<view @click="getAddProject" class="f16  co80 flex1 txr">添加项目进展</view>
				  </view>
				</uni-forms-item> -->
				<uni-forms-item name="zsyzFjList" style='margin-bottom: 0;'>
				 <view class="flexc infolist">
				  	<view class="f16 fw c34 flex0 pr pl12"><text class="cir">*</text>附件</view>
					<view class="infolist_a co28">
						<!-- 上传附件 -->
						<lsj-upload 
						    ref="lsjUpload"
						    childId="upload1"
						    :width="width"
						    :height="height"
						    :option="option"
						    :size="size"
						    :formats="formats"
						    :debug="debug"
						    :instantly="instantly"
						    @progress=""
							@uploadEnd="onuploadEnd" >
						        <view class="btn" :style="{width: width,height: height}">选择附件</view>
						</lsj-upload>
					</view>
				  </view>
				</uni-forms-item>
				<view class=" cldelistbf"  v-for="(ite,idx) in filelist" :key='idx'>
					<view class="flext f15 c6" @click="getDown(ite.path)">
						<view class="imgl"><image :src="wimg" ></image></view>
						<view>{{ite.fjName}}</view>
					</view>
					<!-- 删除 -->
					<view class="delimg flex0" @click.stop="getDelFj(idx)">
						<image :src="delimg"></image>
					</view>
				</view>
				<view class="infolist_b"><text>*</text>请上传大小不超过<text>100MB</text>格式为<text>doc/xls/ppt/txt/pdf/zip/rar/word</text>的文件</view>
				<view class="infolist_b" style="margin-top: 20rpx;">含项目建议书（项目分析报告或投资计划书）、洽谈现场照片等资料</view>
			</uni-forms>
			<view class="infobtn flexcc cf f16 f500" v-if="checkPermi(['projectV2:sbbzb:add','projectV2:sbbzb:edit'])" @click="getNext(3)">提交</view>
			<!-- <third-clue @getNext='getNext' :datainfo='datainfo'></third-clue> -->
		</view>
		<!-- 弹窗 -->
		<pop-up :type="poptype" @getClose='getClose'   @getXmSubmitFn='getXmSubmitFn'></pop-up>
  </view>
  <!-- <uni-easyinput type="textarea" v-model="value" placeholder="请输入内容"></uni-easyinput> -->
</template>

<script>
	import firstClue from "@/components/addclue/first.vue"
	import secondClue from "@/components/addclue/second.vue"
	import thirdClue from "@/components/addclue/third.vue"
	import popUp from "@/components/popup/popup.vue"
	import {getqichachaSearch,getCommonXmbh,getAddPersion,getPutPersion,getDelPersion,getPersionList,getPersionid,getAddInvestor,getPutInvestor,getDelInvestor,getInvestorList,getInvestorid,getsbbzbAddFn,getsbbzbPutFn} from "@/api/work/addclue.js"
	import {getsbbzbdetail} from "@/api/work/clue.js"
  import { getDictionaryFn} from '@/api/work/index.js'
  import {selectDictLabel} from "@/utils/common.js"
  import { checkPermi, checkRole } from "@/utils/permission"; // 权限判断函数
  import config from '@/config'
  const baseUrl = config.baseUrl
  import { getToken } from '@/utils/auth'
  export default {
	  components:{
		  firstClue,secondClue,thirdClue,popUp
	  },
    data() {
      return {
		   dzvalue: [1,2],
		   range: [{"dictValue": 1,"dictLabel": "篮球"    },{"dictValue": 2,"dictLabel": "足球"},{"dictValue": 3,"dictLabel": "游泳"}],
		  //附件
		  option: {
                // 上传服务器地址，需要替换为你的接口地址
                url: baseUrl+'/common/upload', // 该地址非真实路径，需替换为你项目自己的接口地址
                // 上传附件的key
                name: 'file',
                // 根据你接口需求自定义请求头,默认不要写content-type,让浏览器自适配
                header: {
                    // 示例参数可删除
                    'Authorization':  'Bearer ' + getToken(),
                },
                // 根据你接口需求自定义body参数
                formData: {
                }
            },
		// 选择文件后是否立即自动上传，true=选择后立即上传
        instantly: true,
        // 必传宽高且宽高应与slot宽高保持一致
        width: '',
        height: '48rpx',
        // 限制允许上传的格式，空串=不限制，默认为空
        formats: 'doc,docx,xls,ppt,txt,pdf,zip,rar,word',
        // 文件上传大小限制
        size: 100,
        // 文件数量限制 默认10
        count: 5,
        // 文件回显列表
        files: new Map(),
        // 微信小程序Map对象for循环不显示，所以转成普通数组，不要问为什么，我也不知道
        wxFiles: [],
        // 是否打印日志
        debug: false,
        filelist:[], 
		
			
		selectDate: '',
		defaultPhoneHeight: '', //屏幕默认高度
		nowPhoneHeight: '', //屏幕现在的高度
		bottom:0,
		type:1,
		poptype:0,//弹窗类型 1暂存/消耗 2审核意见 3批示
		pagetype:'add',
		status: 'loading',
		loading:false,
		contentText:{contentrefresh: '加载中',},
		
		datainfo:{
			"sbdw":"",//潜山
		    "tbrq":"",//填表日期
		    "zszxfzr":"",//项目负责人
		    "xmbh":"",//项目编号
		    "xmxsmc":"",//项目线索名称
		    "sfwlhxxxm":"",//是否为领航信息项目
		    "yzdqId":"",//引资地区(字典)
		    "yzdqName":"",//引资地区名称
		    "ntze":"",//拟投资额（亿元）
		    "cylxId":"",//产业类型id(字典)
		    "cylxName":"",//潜山
		    "xmlb":"",//项目类别
		    "tzlb":"",//投资类别
		    "nlhd":"",//拟落户地
		    "czpt":"",//承载平台
		    "tzzt":"",//投资主体
		    "xmjz":"",//项目进展
		    "xmjzqk":"",//项目进展情况
		    "gtzzrsfzhm":"",//个体投资人身份证号码
		    "qybj":"",//企业背景
		    "tzfjj":"",//投资方简介
		    "sndxse":"",//上年度销售额(万元)
		    "sndnse":"",//上年度纳税额(万元)
		    "tzrxm":"",//投资人姓名
		    "tzrzw":"",//投资人职务
		    "tzrdh":"",//投资人电话
		    "xmjj":"",//项目简介
		    "czwt":"",//存在问题
		    "name":"",//首谈人
		    "strq":"",//首谈日期
		    "phone":"",//首谈人手机号
		    "zw":"",//首谈人职务
			zsyzFjList:[],
		},
		addimg:require("@/static/images/mine/add.png"),
		delimg:require("@/static/images/mine/del.png"),
		checknimg:require("@/static/images/mine/jnicon.png"),
		gcheckimg:require("@/static/images/mine/jicon.png"),
		closeimg:require('@/static/images/close.png'),
		wimg:require('@/static/images/index/wicon.png'),
		downimg:require('@/static/images/index/down.png'),
		addflag:false,
		shenflag:true,
		qiziflag:false,//是否有企业或者自然人
		qilist:[],//企业联想
		qilianflag:false,
		qiaddlist:[],
		ziaddlist:[],
		qiinfo:{
			companyName:'',
			companyAddress:'',
			companyLegal:'',
			companyCode:'',
			phone:'',
		},
		ziinfo:{
			name:'',
			address:'',
			idcode:'',
			phone:'',
		},
		firstrules: {
		  sbdw: {rules: [{required: true,errorMessage: '请输入上报单位'}]},
		  tbrq: {rules: [{required: true,errorMessage: '请选择填表日期'}]},
		  zszxfzr: {rules: [{required: true,errorMessage: '请输入项目负责人姓名' } ]},
		  tzrxm: {rules: [{required: true,errorMessage: '请输入投资人姓名'} ]},
		},
		qirules:{
			companyName: {rules: [{required: true,errorMessage: '请输入企业名称'}]},
			companyAddress: {rules: [{required: true,errorMessage: '请输入企业所在地'}]},
			companyLegal: {rules: [{required: true,errorMessage: '请输入法人代表姓名'}]},
			companyCode: {rules: [{required: true,errorMessage: '请输入统一社会信用代码'}]},
			phone: {rules: [{required: true,errorMessage: '请输入联系方式'},{pattern:/^(13[0-9]|14[01456879]|15[0-35-9]|16[2567]|17[0-8]|18[0-9]|19[0-35-9])\d{8}$/,errorMessage: '请输入正确的手机号码'}]},
		},
		zirules:{
			name: {rules: [{required: true,errorMessage: '请输入姓名'}]},
			address: {rules: [{required: true,errorMessage: '请输入自然人所在地'}]},
			phone: {rules: [{required: true,errorMessage: '请输入联系方式'},{pattern:/^(13[0-9]|14[01456879]|15[0-35-9]|16[2567]|17[0-8]|18[0-9]|19[0-35-9])\d{8}$/,errorMessage: '请输入正确的手机号码'}]},
		},
		// 第二步骤
		tworules: {
		  xmxsmc: {rules: [{required: true,errorMessage: '请输入项目线索名称'}]},
		  sfwlhxxxm: {rules: [{required: true,errorMessage: '请选择是否为领航信息'}]},
		  
		  ntze: {rules: [{required: true,errorMessage: '请输入拟投资额'} ]},
		  cylxName: {rules: [{required: true,errorMessage: '请选择产业类型'} ]},
		  xmlb: {rules: [{required: true,errorMessage: '请选择项目类别'} ]},
		  nlhd: {rules: [{required: true,errorMessage: '请选择拟落户地'} ]},
		  xmjj: {rules: [{required: true,errorMessage: '请输入项目简介'} ]},
		  xmjzqk: {rules: [{required: true,errorMessage: '请输入项目进展情况'} ]},
		  qybj: {rules: [{required: true,errorMessage: '请选择企业背景'} ]},
		  yzssName: {rules: [{required: true,errorMessage: '请输入引资省市'}]},
		},
		thirdrules: {
		  name: {rules: [{required: true,errorMessage: '请输入首谈人姓名'}]},
		  zw: {rules: [{required: true,errorMessage: '请输入首谈人职务'}]},
		  phone: {rules: [{required: true,errorMessage: '请输入首谈人联系方式'},{pattern:/^(13[0-9]|14[01456879]|15[0-35-9]|16[2567]|17[0-8]|18[0-9]|19[0-35-9])\d{8}$/,errorMessage: '请输入正确的手机号码'} ]},
		  strq: {rules: [{required: true,errorMessage: '请选择首谈日期'} ]},
		  xmlb: {rules: [{required: true,errorMessage: '请输入项目进展'} ]}, 
		  zsyzFjList: {rules: [{required: true,errorMessage: '请上传附件'} ]},
		},
		lhlist:[{label:'是',id:'S'},{label:'否',id:'N'},],//领航
		cyindex:0,
		indusindex:0,
		nlhdindex:0,//拟落户地
		prolaber:'',//项目类型
		qybglaber:"",//企业背景
		lhindex:0,
		moretype:0,
		qybgvalue:[],
		provalue:[],
		map:{text:'dictLabel',value:'dictValue'},
		location:[],//拟落户地
		industrytype:[],//产业类别
		projectlist:[],//项目类别
		backgroundlist:[],//企业背景
		projectchose:[],//选择的项目类型
		qybgchose:[],
		timeoutId:'',
		currentdate:'',//当前日期
		sfwlhxxxm:'',
		firstform:{},
		twoform:{},
		thirdform:{},
		qiform:{},
		ziform:{},
	}
    },
	onLoad(e) {
		var that=this;
		this.currentdate = this.getNowFormatDate();
		var newObj={}
		if(e.data){
			 newObj=JSON.parse(decodeURIComponent(e.data))
		}
		this.pagetype=newObj.pagetype||'add';
		this.getinvestmentarea()
		if(this.pagetype=='update'){
			this.datainfo.xmId=newObj.xmId;
			this.datainfo.xmbh=newObj.xmbh;
			this.datainfo.xmmc=newObj.xmmc;
			this.init()
			that.getDataFn()
			// setTimeout(function(){
				
			// },1200)
			// this.getDataFn()
		}else{
			// 自动生成编号
			this.getCommonXmbh()
			this.datainfo.tbrq=this.getNowFormatDatesfm();
			// this.datainfo.tbrq=this.currentdate
			this.datainfo.strq=this.currentdate
			// 获取详情 修改
			
		}
		
		// #ifdef APP
		uni.onKeyboardHeightChange(res=> { //监听键盘高度变化
		    const res_keyboard = uni.getSystemInfoSync();
		    let key_height = res.height - (res_keyboard.screenHeight - res_keyboard.windowHeight)
		    // let key_height = res.height - (res_keyboard.screenHeight - res_keyboard.windowHeight + res_keyboard.safeAreaInsets.bottom)
		     this.bottom = `${ key_height>0 ? key_height : 0}px`; 
		})
		// #endif
		
	},
	onHide() {
		// #ifdef APP-PLUS
		uni.offKeyboardHeightChange();  // 取消监听键盘高度变化事件，避免内存消耗
		// #endif
	    
	},
    methods: {
		checkPermi, checkRole,
		// 项目进展
		getAddProject(){
			this.poptype=Number(4)
		},
		getXmSubmitFn(data){
			var that=this;
			var params=JSON.parse(JSON.stringify(data))
			params.xmId=this.datainfo.xmId;
			// params.xmmc=this.datainfo.xmmc; 
			params.xmbh=this.datainfo.xmbh;
			getjzqkFn(params).then(res=>{
				if(res.code==200){
					that.$toast('添加项目进展成功')
					setTimeout(function(){
						that.poptype=0;
					},1500)									
				}else{
					this.$toast(res.msg)
				}
			})
		},
		// 线索详情
		getDataFn(){
			getsbbzbdetail(this.datainfo.xmId).then(res=>{
				var that=this;
				if(res.code==200){
					this.datainfo=res.data;
					// 领航
					this.sfwlhxxxm=this.datainfo.sfwlhxxxm=='Y'||this.datainfo.sfwlhxxxm=='S'?'是':'否';
					this.lhindex=this.datainfo.sfwlhxxxm=='Y'||this.datainfo.sfwlhxxxm=='S'?0:1;
					// 项目类型
					this.projectchose=this.datainfo.xmlb.split(',')
					this.prolaber=this.projectchose.join('/');
					// 字典值返回
					var proArr=[]
					this.projectchose.forEach(ite=>{
						var pronum = Number(selectDictLabel(that.projectlist,ite))
						proArr.push(pronum)
					})
					this.provalue=proArr

					// 企业背景
					this.qybgchose=this.datainfo.qybj.split(',')
					this.qybglaber=this.qybgchose.join('/');
					var backgrounArr=[];
					this.qybgchose.forEach(ite=>{
						var pronum = Number(selectDictLabel(that.backgroundlist,ite))
						backgrounArr.push(pronum)
					})
					this.qybgvalue=backgrounArr
					
					// 产业类别
					for(var i=0;i<that.industrytype.length;i++){
						if(that.industrytype[i].dictLabel==this.datainfo.cylxName){
							this.indusindex=Number(i)
							break;
						}
					}
					// 拟落户地
					for(var i=0;i<that.location.length;i++){
						if(that.location[i].dictLabel==this.datainfo.nlhd){
							this.nlhdindex=Number(i)
							break;
						}
					}
					if(res.data.zsyzFjList&&res.data.zsyzFjList.length){
						this.filelist=JSON.parse(JSON.stringify(res.data.zsyzFjList))
					}
					// sfwlhxxxm
				}else{
					this.$toast(res.msg)
				}
			})
		},
		getNowFormatDate(){
			let date = new Date();
			let y = date.getFullYear();
			let m = date.getMonth() + 1;
			m = m < 10 ? "0" + m : m;
			let d = date.getDate();
			d = d < 10 ? "0" + d : d;
			// let h = date.getHours();
			// h = h < 10 ? "0" + h : h;
			// let ms = date.getMinutes();
			// ms = ms < 10 ? "0" + ms : ms;
			// let s = date.getSeconds();
			// s = s < 10 ? "0" + s : s;
			// const time = y + "-" + m + "-" + d + " " + h + ":" + ms + ":" + s;
			const timeday = y + "-" + m + "-" + d;
			return timeday;
		},
		getNowFormatDatesfm(){
			let date = new Date();
			let y = date.getFullYear();
			let m = date.getMonth() + 1;
			m = m < 10 ? "0" + m : m;
			let d = date.getDate();
			d = d < 10 ? "0" + d : d;
			let h = date.getHours();
			h = h < 10 ? "0" + h : h;
			let ms = date.getMinutes();
			ms = ms < 10 ? "0" + ms : ms;
			let s = date.getSeconds();
			s = s < 10 ? "0" + s : s;
			const time = y + "-" + m + "-" + d + " " + h + ":" + ms + ":" + s;
			// const timeday = y + "-" + m + "-" + d;
			return time;
		},
		init(){
			this.getInvestorList()//企业列表
			this.getPersionList()//自然人列表
		},
		// 字典值
		getinvestmentarea(){
			// 拟落户地
			getDictionaryFn('proposed_location').then(res=>{
				if(res.code==200){
					this.location = res.data.map(v => {
						return {
							dictLabel: v.dictLabel,
							dictValue: Number(v.dictValue)
						}
					})
				}
			})
			// 产业类型
			getDictionaryFn('industry_type').then(res=>{
				if(res.code==200){
					this.industrytype = res.data.map(v => {
						return {
							dictLabel: v.dictLabel,
							dictValue: Number(v.dictValue)
						}
					})
				}
			})
			//项目类别
			getDictionaryFn('project_category').then(res=>{
				if(res.code==200){
					this.projectlist = res.data.map(v => {
						return {
							dictLabel: v.dictLabel,
							dictValue: Number(v.dictValue)
						}
					})
				}
			})
			//企业背景
			getDictionaryFn('enterprise_background').then(res=>{
				if(res.code==200){
					this.backgroundlist = res.data.map(v => {
						return {
							dictLabel: v.dictLabel,
							dictValue: Number(v.dictValue)
						}
					})
				}
			})
		},
		getNext(idx){
			var that=this;
			if(idx==1){
				// 第一页
				this.$refs.firstform.validate().then(res => {
					if(this.qiaddlist.length||this.ziaddlist.length){
						
						if(this.datainfo.tzrdh){
							let regphone = /^(13[0-9]|14[01456879]|15[0-35-9]|16[2567]|17[0-8]|18[0-9]|19[0-35-9])\d{8}$/
							if (!regphone.test(this.datainfo.tzrdh)) {
								that.$toast("请输入正确的联系方式")
								return
							}else{
								that.type=2
							}
						}else{
		
							that.type=2
						}	
					}else{
						this.$toast('请添加企业、自然人')
					}	
				})
			}else if(idx==2){
				this.$refs.twoform.validate().then(res => {
					this.type=3
				})
			}else{
				this.datainfo.zsyzFjList=JSON.parse(JSON.stringify(this.filelist));
				this.$refs.thirdform.validate().then(res => {
					var params=this.datainfo;
					if(this.pagetype=='add'){
						getsbbzbAddFn(params).then(res=>{
							if(res.code==200){
								this.$toast('上报线索成功')	
								setTimeout(function() {
									uni.$emit('refreshdata');
									uni.navigateBack({delta: 1});
								},1500);
							}else{
								this.$toast(res.msg)
							}
							
						})
					}else{
						getsbbzbPutFn(params).then(res=>{
							if(res.code==200){
								this.$toast('修改线索成功')	
								setTimeout(function() {
									uni.$emit('refreshdata');
									uni.navigateBack({delta: 1});
								},1500);
							}else{
								this.$toast(res.msg)
							}
							
						})
					}
					
				})
			}
		},
		// 第二步骤
		// 领航
		bindDateChangea(e) {
			var val=e.detail.value;
			this.sfwlhxxxm=this.lhlist[val].label;
			this.datainfo.sfwlhxxxm=this.lhlist[val].id
		},
		// 产业类型
		bindDateChangeb(e) {
			var val=e.detail.value;
			this.datainfo.cylxName=this.industrytype[val].dictLabel;
			this.datainfo.cylxId=this.industrytype[val].dictValue
		},
		// 拟落户地location
		bindDateChangec(e) {
			var val=e.detail.value;
			this.datainfo.nlhd=this.location[val].dictLabel
		},
		bindDateChange(e) {
			this.datainfo.tbrq = e.detail.value
		},
		// 首谈日期
		bindDateChanged(e){
			this.datainfo.strq = e.detail.value
		},
		checkboxChangea(e){
			var newArr=e.detail.data;
			var newArrs=[]
			newArr.forEach((ite,idx)=>{
				newArrs[idx]=ite.dictLabel
			})
			this.projectchose=newArrs
		},
		checkboxChangeb(e){
			var newArr=e.detail.data;
			var newArrs=[]
			newArr.forEach((ite,idx)=>{
				newArrs[idx]=ite.dictLabel
			})
			this.qybgchose=newArrs
		},
		// 多选
		getMoreFn(idx){
			this.moretype=idx;
		},
		proSure(){
			this.prolaber=this.projectchose.join('/');
			this.datainfo.xmlb=this.projectchose.join(',')
			this.moretype=0;
		},
		// projectlist:[],//项目类别
		// backgroundlist:[],//企业背景
		// prolaber:'',//项目类型
		// qybglaber:"",//企业背景
		qySure(){
			this.qybglaber=this.qybgchose.join('/');
			this.datainfo.qybj=this.qybgchose.join(',')
			this.moretype=0;
		},
		getClose(){
			this.addflag=false;
			this.moretype=0;
			this.poptype=0;
		},
		getAdd(){
			this.addflag=true;
			this.shenflag=true;
			this.qiinfo={
				companyName:'',
				companyAddress:'',
				companyLegal:'',
				companyCode:'',
				phone:'',
			}
			this.ziinfo={
				name:'',
				address:'',
				idcode:'',
				phone:'',
			}
		},
		getInvestorList(){
			var params={
				xmbh:this.datainfo.xmbh
			}
			getInvestorList(params).then(res=>{
				if(res.code==200){
					this.qiaddlist=res.rows||[]
					if(res.rows.length){
						this.qiziflag=true
					}
				}else{
					this.$toast(res.msg)
				}
			})
		},
		getPersionList(){
			var params={
				xmbh:this.datainfo.xmbh
			}
			getPersionList(params).then(res=>{
				if(res.code==200){
					this.ziaddlist=res.rows||[];
					if(res.rows.length){
						this.qiziflag=true
					}
				}else{
					this.$toast(res.msg)
				}
			})
		},
		
		getDelQi(id,idx){ //删除企业
			var that=this;
			uni.showModal({
				title: '确认删除',
				content: "是否确认删除",
				cancelText: '取消',
				confirmText: '确认',
				success: function(res) {
					if (res.confirm) {
						// var params={
						// 	id:id
						// }
						getDelInvestor(id).then(res=>{
							if(res.code==200){
								that.$toast('删除成功')
								that.qiaddlist.splice(idx,1)
							}else{
								that.$toast(res.msg)
							}
						})
						
					} else if (res.cancel) {
					}
				}
			});
		},
		getDelZi(id,idx){//删除自然人
			var that=this;
			uni.showModal({
				title: '确认删除',
				content: "是否确认删除",
				cancelText: '取消',
				confirmText: '确认',
				success: function(res) {
					if (res.confirm) {
						// var params={
						// 	id:id
						// }
						getDelPersion(id).then(res=>{
							if(res.code==200){
								that.$toast('删除成功')
								that.ziaddlist.splice(idx,1)
							}else{
								that.$toast(res.msg)
							}
						})
						
					} else if (res.cancel) {
					}
				}
			});
		},
		// 企业详情
		getDetailQi(ite){
			
			this.ziinfo={
				name:'',
				address:'',
				idcode:'',
				phone:'',
			},
			this.qiinfo=ite;
			this.addflag=true;
			this.shenflag=true;
		},
		// 自然人详情
		getDetailZi(ite){
			this.qiinfo={
				companyName:'',
				companyAddress:'',
				companyLegal:'',
				companyCode:'',
				phone:'',
			},
			this.ziinfo=ite;
			this.addflag=true;
			this.shenflag=false;
		},
		getInput(e){
			this.loading=true;
			this.qilianflag=true;
			var val=e.detail.value;
			var that=this;
			if(val){
				getqichachaSearch(val).then(res=>{
					if(res.code==200){
						this.qilist=res.data||[];
						this.loading=false;
						if(!this.qilist.length){
							this.qilianflag=false;
						}
					}
				})
			}
		},
		handleAddrClick(ite){
			clearTimeout(this.timeoutId);
			this.qiinfo.companyName=ite.Name;
			this.qiinfo.companyAddress=ite.Address;
			this.qiinfo.companyLegal=ite.OperName;
			this.qiinfo.companyCode=ite.CreditCode;
			this.qilianflag=false;
		
			// this.getBlur()
		},
		getBlur(){
			this.timeoutId = setTimeout(() => {
			    // 关闭可编辑状态
			    this.qilianflag = false;
			},100);
			// this.qilist=[];
			// this.qilianflag=false
			
			
		},
		getqySubmit(){
			var that=this;
			if(this.shenflag){
				//企业
				this.$refs.qiform.validate().then(res => {
					var params=this.qiinfo;
					params.xmbh=this.datainfo.xmbh;
					params.xmId=this.datainfo.xmId||'';
					if(params.id){
						// 修改
						getPutInvestor(params).then(res=>{
							if(res.code==200){
								this.$toast('修改成功');
								setTimeout(function(){
									that.addflag=false;
									// 获取列表
									that.getInvestorList()
								},1500)
								
							}else{
								this.$toast(res.msg)
							}
						})
					}else{
						// 新增
						getAddInvestor(params).then(res=>{
							if(res.code==200){
								this.$toast('添加成功');
								setTimeout(function(){
									that.addflag=false;
									that.qiziflag=true;
									// 获取列表
									that.getInvestorList()
								},1500)
								
							}else{
								this.$toast(res.msg)
							}
						})
					}
				})
			}else{
				//自然人
				this.$refs.ziform.validate().then(res => {
					var params=this.ziinfo;
					params.xmbh=this.datainfo.xmbh;
					params.xmId=this.datainfo.xmId||'';
					
					if(params.id){
						// 修改
						getPutPersion(params).then(res=>{
							if(res.code==200){
								this.$toast('修改成功');
								setTimeout(function(){
									that.addflag=false;
									// 获取列表
									that.getPersionList()
								},1500)
								
							}else{
								this.$toast(res.msg)
							}
						})
					}else{
						// 新增
						getAddPersion(params).then(res=>{
							if(res.code==200){
								this.$toast('添加成功');
								setTimeout(function(){
									that.addflag=false;
									that.qiziflag=true;
									// 获取列表
									that.getPersionList()
								},1500)
								
							}else{
								this.$toast(res.msg)
							}
						})
					}
					
				})
			}
		},
		getCommonXmbh(){
			getCommonXmbh().then(res=>{
				if(res.code==200){
					this.datainfo.xmbh=res.data;
				}
			})
		},
		// 某文件上传结束回调(成功失败都回调)
		onuploadEnd(item) {
			var newobj={}
			var responseText=JSON.parse(item.responseText)
			newobj.fjName=responseText.originalFilename;
			newobj.path=responseText.fileName;
			this.filelist.push(newobj)
			this.datainfo.zsyzFjList=JSON.parse(JSON.stringify(this.filelist))
		},
		getDelFj(idx){
			this.filelist.splice(idx,1)
			this.datainfo.zsyzFjList=JSON.parse(JSON.stringify(this.filelist))
		},
		getDown(e){
			uni.showLoading({
				title: '加载中'
			});
			var url=baseUrl+e;
			uni.downloadFile({
				url: url,//文件的下载路径
				success(result) {
					uni.hideLoading()
					var filePath = result.tempFilePath;
					   uni.openDocument({
					     filePath: filePath,
					     showMenu: true,
					     success: function (res) {
					     }
					   });
				},
				fail(res) {uni.hideLoading()}
			})
		},
		
    }
  }
</script>

<style lang="scss">
 page {
    background-color: #ffffff;
  }
//   .info{padding-top: 30rpx;
// 	.cir{position: absolute;font-size: 36rpx;font-weight: bold;color: #FE5706;left: 0rpx;}
//   }
//   .infolist{padding: 30rpx 24rpx;}
//   .infobtn{width: 100%;height: 88rpx;background: #FA5F03;line-height: 88rpx;}
//   .input_ye image{width: 34rpx;height: 18rpx;}
// .info_tit{font-size: 32rpx;color: #FE5706;padding: 30rpx 26rpx;font-weight: bold;}



.inform{padding-top: 30rpx; padding-bottom: 160rpx;}
  .infolist{padding: 30rpx 32rpx 30rpx 24rpx;position: relative;
	.cir{position: absolute;font-size: 36rpx;font-weight: bold;color: #FE5706;left: 0rpx;}
	
  }
  .delimg{width: 40rpx;height:40rpx;margin-left: 16rpx;display: flex;align-items: center;justify-content: center;
  	image{width: 30rpx;height: 30rpx;}
  }
  .infobtn{width: 100%;height: 88rpx;background: #FA5F03;line-height: 88rpx;position: fixed;left: 0;right: 0;bottom: 0;z-index: 3;}
  .input_ye image{width: 34rpx;height: 18rpx;}
.info_tit{font-size: 32rpx;color: #FE5706;padding: 30rpx 26rpx;font-weight: bold;}
.infolist_a{height: 44rpx;flex: 1;text-align: right;font-size: 32rpx;color: #343434;}
.infolist_add{position: absolute;right: 0;top: -40rpx;font-size: 28rpx;color: #41C942;padding-right: 30rpx;
	image{width: 30rpx;height: 30rpx;margin-right: 20rpx;}
}

// // 弹窗
.fixedbox{position: fixed;left:24rpx;right: 24rpx;background: #fff;border-radius: 10rpx;min-height: 468rpx;top: 50%;transform: translateY(-60%);z-index: 20;padding: 48rpx 36rpx 68rpx;max-height: calc(100vh - 200rpx);overflow: auto;box-sizing: border-box;
.infolist{padding:24rpx 0 24rpx 0;}
.choseimg{width: 34rpx;height: 34rpx;position: absolute;left: 36rpx;top: 54rpx;z-index: 22;}
.chebox{position: absolute;right: 36rpx;top:54rpx;display: flex;align-items: center;
	image{width: 30rpx;height: 32rpx;margin-right: 12rpx;}
	view{font-size: 32rpx;font-weight: 500;color: #F13800;;}
}
.top{position: relative;text-align: center;font-size: 32rpx;font-weight: bold;color: #343434;}
.boxs{padding: 60rpx 0;
	.box{display: flex;align-items: center;min-height:100rpx;}
	.boxcen{flex:1;
		&.act{
			view{color: #FF6400;}
		}
		image{width: 32rpx;height: 32rpx;margin-right: 20rpx;}
		view{font-size: 32rpx;font-weight: 500;
color: #666666;}
	}
	

}
.fixedbtn{width:100%;height: 80rpx;background: #FF6400;
border-radius: 10rpx;display: flex;align-items: center;justify-content: center;font-size: 32rpx;font-weight: bold;color: #FFFFFF;
	&.btn1{background-color: #20ACCF;margin-bottom: 36rpx;}
	}
}
 .inform /deep/ .uni-forms-item__error{margin-top: -30rpx;margin-left: 24rpx;}
 .fixedbox /deep/ .uni-forms-item__error{margin-top: -30rpx;margin-left: 24rpx;}
 
 
 .fixedbox   /deep/ .uni-data-checklist .checklist-group .checklist-box{margin: 10rpx 0;padding: 4rpx 0;width: 50%;box-sizing: border-box;}
 .fixedbox   /deep/ .uni-data-checklist .checklist-group .checklist-box .checklist-text{color: #343434;font-size: 30rpx;}
 // .fixedbox   /deep/ .uni-data-checklist .checklist-group .checklist-box .checkbox__inner{margin-right: 40rpx;}
 .fixedbox    /deep/ .uni-data-checklist .checklist-group .checklist-box.is--default.is-checked .checkbox__inner{border-color: #FF440B; background-color: #FF440B;}
 .fixedbox   /deep/ .uni-data-checklist .checklist-group .checklist-box.is--default.is-checked .checklist-text{color: #343434;}
  .inform .pl12{margin-right: 10rpx;}
  .fixedbox .pl12{margin-right: 10rpx;}
  
  .inform /deep/ .uni-easyinput__content-textarea{min-height: 200rpx;}
</style>
